Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class BrokerFactoryValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginValue
                  org.apache.openjpa.conf.BrokerFactoryValue

All Implemented Interfaces:
  Cloneable

    public class BrokerFactoryValue

extends PluginValue

Value type used to represent the `BrokerFactory`. This type is defined separately so that it can be used both in the global configuration and in `Bootstrap` with the same encapsulated configuration.

Field Summary
`static String` | `KEY`

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`BrokerFactoryValue()`

Method Summary
`static Object` | `get(ConfigurationProvider cp)` Extract the value of this property if set in the given provider.
`static void` | `set(ConfigurationProvider cp, String value)` Set the value of this property in the given provider.

Methods inherited from class org.apache.openjpa.lib.conf.PluginValue
`configure, getClassName, getInternalString, getProperties, getString, getValueType, instantiate, isSingleton, objectChanged, set, setClassName, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, get, instantiate, newInstance, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### BrokerFactoryValue

    public BrokerFactoryValue()

Method Detail

### get

    public static Object get(ConfigurationProvider cp)

  Extract the value of this property if set in the given provider.

### set

    public static void set(ConfigurationProvider cp,
                           String value)

  Set the value of this property in the given provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.